Summary: Intel PRO/Wireless 3945ABG/BG microcode
Name: iwlwifi-3945-ucode
Epoch: 1
Version: 15.28.2.8
Release: %mkrel 2
Source0: http://www.intellinuxwireless.org/iwlwifi/downloads/iwlwifi-3945-ucode-%{version}.tgz
Source1: http://www.intellinuxwireless.org/iwlwifi/downloads/iwlwifi-3945-ucode-15.28.1.8.tgz
License: Proprietary
Group: System/Kernel and hardware
Url: http://intellinuxwireless.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
The file iwlwifi-3945-1.ucode provided in this package is required to be
present on your system in order for the Intel PRO/Wireless 3945ABG/BG Network
Connection Adapter driver for Linux (iwl3945) to be able to operate
on your system.

%prep
%setup -q -a 1

# provide old firmware with ucode_api=1 for compatibility with older kernels
cp iwlwifi-3945-ucode-15.28.1.8/iwlwifi-3945-1.ucode .
cp iwlwifi-3945-ucode-15.28.1.8/README.iwlwifi-3945-ucode \
   README.iwlwifi-3945-ucode-1
mv README.iwlwifi-3945-ucode README.iwlwifi-3945-ucode-2

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}/lib/firmware
install -m644 *.ucode %{buildroot}/lib/firmware/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE.* README.*
/lib/firmware/*.ucode


%changelog
* Tue Feb 17 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:15.28.2.8-2mdv2009.1
+ Revision: 342125
- Ship README of both ucode versions provided.

* Tue Feb 17 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:15.28.2.8-1mdv2009.1
+ Revision: 342055
- Updated to version 15.28.2.8
- Still provide old firmware with ucode_api=1 for compatibility with
  older kernels (updated to version 15.28.1.8).

* Tue Oct 14 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1:15.28.1.6-1mdv2009.1
+ Revision: 293758
- new firmware version 15.28.1.6 with "... many updates from the uCode used
  by the Windows driver over the past year ..."

* Thu Aug 21 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:2.14.1.5-1mdv2009.0
+ Revision: 274473
- Remove old 2.14.4 firmware from the package. Today there should be no
  users of it, since 2008.1 all kernels only use the '-1' ucode version
  (also 2008.0 kernel, but some contrib kernel or external 'old' iwlwifi
  build could still use the old firmware); there is still a possibility
  that there is someone running old kernels with an iwlwifi that
  requires this old firmware in 2008.1 or cooker, but this is unlinkely
  and unsupported. And with this also we can cleanup and fix the package
  to report/use the right version now.

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.14.4-3mdv2009.0
+ Revision: 241594
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Aug 20 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.14.4-2mdv2008.0
+ Revision: 68006
- Added additional firmware needed by iwlwifi development drivers and
  current mandriva kernel.

* Tue Jul 03 2007 Olivier Blin <oblin@mandriva.com> 2.14.4-1mdv2008.0
+ Revision: 47520
- initial iwlwifi-3945-ucode package
- Create iwlwifi-3945-ucode

